tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cavan Morris" <>
Subject Trouble building for Apache 2.0.28
Date Sat, 15 Dec 2001 21:58:57 GMT
I am unable to build for apache 2.0.28 on my redhat 7.2

Here's what I've been doing.  The problem comes during the make process.

> tar -xvzf webapp-module-1.0.1-tc401-src.tar.gz
> cd webapp-module-1.0.1-tc401/
> ./support/
> ./configure --with-apxs=/usr/local/apache2/bin/apxs
> make
    *** Warning: This library needs some functionality provided by -lwebapp.
    *** I have the capability to make that library automatically link in
    *** you link to this library.  But I can only do this if you have a
    *** shared version of the library, which you do not appear to have.

    *** Warning: libtool could not satisfy all declared inter-library
    *** dependencies of module mod_webapp.  Therefore, libtool will create
    *** a static module, that should work as long as the dlopening
    *** application is linked with the -dlopen flag.
    make[2]: Leaving directory `/root/webapp-module-1.0.1-tc401/apache-2.0'
    make[1]: Exiting directory "apache-2.0"
    make[1]: Leaving directory `/root/webapp-module-1.0.1-tc401'

At this point make finishes and there is no in apache-2.0.
Does anyone have any idea how to get this to work?  Any help would be
greatly appriciated.

Thanks in advance.
Cavan Morris

To unsubscribe, e-mail:   <>
For additional commands, e-mail: <>

View raw message